### Method

# Gtk Switchset_state

#### Declaration [src]

    void
    gtk_switch_set_state (
      GtkSwitch* self,
      gboolean state
    )

#### Description [src]

Sets the underlying state of the `GtkSwitch`.

This function is typically called from a `GtkSwitch::state-set` signal handler in order to set up delayed state changes.

See `GtkSwitch::state-set` for details.

Sets property | `Gtk.Switch:state`

#### Parameters

`state`

  Type: `gboolean`

  The new state.